跳至內容

Luma Ray 3.2 Text to Video

整合

模型 id luma/agent/ray/v3.2/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma/agent/ray/v3.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.50 500 API 點數 · ≈ ₽53.66 在此頁面執行

取得 API 金鑰
Luma AI 文字轉影片 唇形同步5–10 秒最高 1080p #stylized#transform#lipsync

Ray 3.2 文字轉影片,支援 5s 或 10s 片段、六種長寬比、循環播放,以及可選的 HDR 與 EXR 輸出

Luma AI · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 6000

要建立之影片的文字描述。

duration 5 s

生成中影片的長度。

aspect_ratio 預設 16:9

生成影片的長寬比。

resolution 預設 540p

輸出影片的解析度。

進階 loop · enable_safety_checker
POST /run/luma/agent/ray/v3.2/text-to-video?wait=20 報價 → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma/agent/ray/v3.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Luma Ray 3.2 Text to Video

從最多 6000 個字元的 `prompt` 生成影片。`aspect_ratio` 範圍為 3:4 到 21:9,解析度為 540p、720p 或 1080p,`duration` 為 5s 或 10s。`loop` 僅適用於 5s 的標準範圍片段;`hdr` 需要 720p 或 1080p,且不支援 10s 與 loop。啟用 HDR 時,`exr_export` 會新增 EXR 檔案。

參數

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 6,000 個字元
要建立之影片的文字描述。
aspect_ratio選填
類型enum
預設值16:9
3:44:31:19:1616:921:9
生成影片的長寬比。
resolution選填
類型enum
預設值540p
540p720p1080p
輸出影片的解析度。
duration選填
類型enum
預設值5s
5s10s
生成中影片的長度。
loop選填
類型boolean
預設值false
無縫循環選項,必須同時符合以下條件:5s 時長、標準動態範圍且沒有結束影格。
hdr選填
類型boolean
預設值false
720p 或 1080p MP4 輸出的 HDR 編碼,僅具備 HDR 存取權限的帳戶可用。HDR 不能與 10s 時長或循環同時使用。
exr_export選填
類型boolean
預設值false
隨 MP4 附帶的額外 EXR 匯出檔,僅在同時具備 HDR 存取權限和 hdr=true 時可用。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma/agent/ray/v3.2/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "exr_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。
exr_file
object {url, content_type, file_name, file_size} | nullLuma 匯出格式的 EXR 輔助檔:單一 EXR 檔案或 ZIP 封存檔。exr_export 為 true 時會生成。

更多模型:文字轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/luma/agent/ray/v3.2/text-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt